[arch-commits] Commit in cjs/repos (4 files)

Alexandre Filgueira faidoc at archlinux.org
Sat Nov 1 17:56:37 UTC 2014


    Date: Saturday, November 1, 2014 @ 18:56:37
  Author: faidoc
Revision: 121658

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  cjs/repos/community-staging-i686/
  cjs/repos/community-staging-i686/PKGBUILD
    (from rev 121657, cjs/trunk/PKGBUILD)
  cjs/repos/community-staging-x86_64/
  cjs/repos/community-staging-x86_64/PKGBUILD
    (from rev 121657, cjs/trunk/PKGBUILD)

-----------------------------------+
 community-staging-i686/PKGBUILD   |   37 ++++++++++++++++++++++++++++++++++++
 community-staging-x86_64/PKGBUILD |   37 ++++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

Copied: cjs/repos/community-staging-i686/PKGBUILD (from rev 121657, cjs/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2014-11-01 17:56:37 UTC (rev 121658)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Alexandre Filgueira <alexfilgueira at antergos.com>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=cjs
+pkgver=2.4.0
+pkgrel=1
+pkgdesc="Javascript Bindings for Cinnamon"
+arch=(i686 x86_64)
+url="https://github.com/linuxmint/cjs"
+license=(GPL)
+depends=(cairo gobject-introspection js dbus-glib)
+makedepends=(gnome-common python2)
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/linuxmint/cjs/archive/${pkgver}.tar.gz")
+sha256sums=('b4118a1b6c10e6f16feb60295dc8d120b85e6388180f6203e80f9ea002b9f8a3')
+
+build() {
+  cd $pkgname-$pkgver
+
+  # Python2 fix
+  sed -i 's|#! /usr/bin/env python|#! /usr/bin/env python2|' \
+  		verbump.py
+
+  ./autogen.sh --prefix=/usr --disable-static --libexecdir=/usr/lib
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}

Copied: cjs/repos/community-staging-x86_64/PKGBUILD (from rev 121657, cjs/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2014-11-01 17:56:37 UTC (rev 121658)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Alexandre Filgueira <alexfilgueira at antergos.com>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=cjs
+pkgver=2.4.0
+pkgrel=1
+pkgdesc="Javascript Bindings for Cinnamon"
+arch=(i686 x86_64)
+url="https://github.com/linuxmint/cjs"
+license=(GPL)
+depends=(cairo gobject-introspection js dbus-glib)
+makedepends=(gnome-common python2)
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/linuxmint/cjs/archive/${pkgver}.tar.gz")
+sha256sums=('b4118a1b6c10e6f16feb60295dc8d120b85e6388180f6203e80f9ea002b9f8a3')
+
+build() {
+  cd $pkgname-$pkgver
+
+  # Python2 fix
+  sed -i 's|#! /usr/bin/env python|#! /usr/bin/env python2|' \
+  		verbump.py
+
+  ./autogen.sh --prefix=/usr --disable-static --libexecdir=/usr/lib
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}



More information about the arch-commits mailing list